KAccelManagerAlgorithm Class Reference

`#include <kaccelmanager_private.h>`

## Public Types

enum | { DEFAULT_WEIGHT = 50, FIRST_CHARACTER_EXTRA_WEIGHT = 50, WORD_BEGINNING_EXTRA_WEIGHT = 50, DIALOG_BUTTON_EXTRA_WEIGHT = 300, WANTED_ACCEL_EXTRA_WEIGHT = 150, ACTION_ELEMENT_WEIGHT = 50, GROUP_BOX_WEIGHT = -2000, MENU_TITLE_WEIGHT = 250, STANDARD_ACCEL = 300 }

## Static Public Member Functions

static void | findAccelerators (KAccelStringList &result, QString &used)

## Detailed Description

This class encapsulates the algorithm finding the 'best' distribution of accelerators in a hierarchy of widgets.

Author
  Matthias Hoelzer-Kluepfel mhk@k.nosp@m.de.o.nosp@m.rg

Definition at line 90 of file kaccelmanager_private.h.

## Member Enumeration Documentation

anonymous enum

Constants used in the algorithm.

Enumerator
DEFAULT_WEIGHT | Default control weight.
FIRST_CHARACTER_EXTRA_WEIGHT | Additional weight for first character in string.
WORD_BEGINNING_EXTRA_WEIGHT | Additional weight for the beginning of a word.
DIALOG_BUTTON_EXTRA_WEIGHT | Additional weight for the dialog buttons (large, we basically never want these reassigned)
WANTED_ACCEL_EXTRA_WEIGHT | Additional weight for a 'wanted' accelerator.
ACTION_ELEMENT_WEIGHT | Default weight for an 'action' widget (ie, pushbuttons)
GROUP_BOX_WEIGHT | Default weight for group boxes (low priority)
MENU_TITLE_WEIGHT | Default weight for menu titles.
STANDARD_ACCEL | Additional weight for KDE standard accelerators.

Definition at line 95 of file kaccelmanager_private.h.

## Member Function Documentation

void KAccelManagerAlgorithm::findAccelerators | ( | KAccelStringList & | result,
|  | QString & | used
| ) |  |

static

Method to call to find the best distribution of accelerators.

Definition at line 682 of file kaccelmanager.cpp.

The documentation for this class was generated from the following files:

- kaccelmanager_private.h
- kaccelmanager.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys